package model

type UserVirtualAmount struct {
	Id               int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid              int    `json:"uid" xorm:"index INT(11)"`
	CoinId           int    `json:"coin_id" xorm:"INT(11)"`
	Amount           string `json:"amount" xorm:"DECIMAL(16,6)"`
	FreezeAmount     string `json:"freeze_amount" xorm:"DECIMAL(16,6)"`
	WaitAmount       string `json:"wait_amount" xorm:"DECIMAL(16,6)"`
	TeamFreezeAmount string `json:"team_freeze_amount" xorm:"DECIMAL(16,6)"`
	UseAmount        string `json:"use_amount" xorm:"DECIMAL(16,6)"`
}
